
% preliminary data management
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load gpr.dat;              % data from Ireland (2002) - downloaded 2013 (LER)
[nobs,nvar] = size(gpr);   % # Observations in time series
y = gpr(:,1);
pp = gpr(:,2);
rr = gpr(:,3);

cr = ones(nobs,1);
tr = (1:nobs)';
for i=1:nobs
tr2(i) = tr(i)^2;
end;
yt = OLS(y,[cr tr tr2']);
y = y-yt(2)*tr-yt(3)*tr2';       % output gap
pt = OLS(pp,[cr tr tr2']);
pi = pp-pt(1)-pt(2)*tr-pt(3)*tr2';       % eliminate quadratic trend
rt = OLS(rr,[cr tr tr2']);
rn = rr-rt(1)-rt(2)*tr-rt(3)*tr2';       % eliminate quadratic trend


save rawdataUS_1948Q1_2004Q4  rn y pi;
 